Subject: Re: bug#76974: 31.0.50; [wishlist] Add global key binding for tramp-revert-buffer-with-sudo

From: Daniel Colascione <[email-masked]>
Date: Wed, 12 Mar 2025 02:43:18 -0700

On March 12, 2025 1:50:43 AM PDT, "Stephen Berman via Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:
>On Wed, 12 Mar 2025 09:27:50 +0100 Michael Albinus via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:
>
>> tramp-revert-buffer-with-sudo has been added to Emacs 30.1. I propose to
>> give it a global key binding 'C-x @'. With this binding, it is more
>> simple to revert the current buffer to visit with "sudo"
>> permissions. This is useful for buffers visiting a file, or for dired
>> buffers.
>
>`C-x @' is the prefix for the `event-apply-*-modifier' functions in the
>globally accessible function-key-map.

This prefix binding is sitting on some pretty valuable real estate --- not as valuable as C-o, granted, but still. Is the modifier prefix feature justifying its squatting on this binding? I don't think I've ever used it on purpose, and keyboards with missing essential modifiers are a rarity. Seems like a niche feature to enable with a mode or something.

That said, does the sudo feature (which is great and sorely needed) need such a prominent keybinding? Might M-x sudo be sufficient? People type s u d o in the terminal all the time.